pub mod eqn;
pub mod expr;
pub mod ops;
pub mod region;
pub mod unknown;
pub mod vec;

pub use eqn::{Eqn, Eqns};
pub use expr::{Expr, Exprs};
pub use ops::*;
pub use region::{GenericRegion, Line2, Region, Region1, Region2};
pub use unknown::{Unknown, UnknownSet, Unknowns};
pub use vec::*;

pub type Scalar = f64;

// #[derive(Clone, Copy, PartialEq, Debug)]
// pub enum Value {
//     Known(Scalar),
//     Unkn(Unknown),
// }

pub type Value = Expr;
